#!/usr/bin/env python3

import config

def open_onikakushi() -> str:
    outpath = 'tmp/onikakushi.txt'
    origfile = open(config.get('original_path'), 'r', encoding='shift_jisx0213')
    outfile = open(outpath, 'w', encoding='shift_jisx0213')

    replacements = {
        1202: '「ゴ・メ・ン・ナ・サ・イ!sd!w800って言ってみな。@言わないならぁ……！」@',
        1630: '「…圭ちゃんは食らうの初めてだよね。@…今日のはまだ!s100…甘い方…。」!sd',
        1823: '「け!w300……圭ちゃんがしてよ……!s300。おじさんは応援してる……。」!sd@',
        1991: '「それで、今の人は入江診療所の看護婦のみよさん。@趣味は野鳥の観察と撮影だって。」@',
        2373: '「…ぇ…え？@!s200……ぇぇと!sd………その!w1000………は、恥ずかしいな……教えなきゃだめ？………どうしても？」@',
        2404: '',
        2406: '　どしゃぁあぁッ！！！@',
        2417: '　奇声を発しながら次々とりんごを…俺の口に…!d200…!d200次々!d200…!d200…!d200りん!d200…!d200…!d200ご………!d200…¥',
        2474: '「…え、……えぇえぇえぇぇぇえぇえッ？！？！@!sd　逆転負けぇえぇッ？！？！」@',
    }

    for i, line in enumerate(origfile):
        outfile.write(replacements.get(i, line[:-1])+'\n')

    outfile.close()
    origfile.close()

    return outpath
